log4cplus::CLFSAppender Class Reference

`#include <clfsappender.h>`

Inheritance diagram for log4cplus::CLFSAppender:
[legend]
Collaboration diagram for log4cplus::CLFSAppender:
[legend]

## Public Member Functions

| CLFSAppender (tstring const &logname, unsigned long logsize, unsigned long buffersize)
| CLFSAppender (helpers::Properties const &)
virtual | ~CLFSAppender ()
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.
Public Member Functions inherited from log4cplus::Appender
| Appender ()
| Appender (const log4cplus::helpers::Properties &properties)
virtual | ~Appender ()
void | destructorImpl ()
| This function is for derived appenders to call from their destructors.
bool | isClosed () const
| Check if this appender is in closed state.
void | syncDoAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This method performs threshold checks and invokes filters before delegating actual logging to the subclasses specific `append` method.
void | asyncDoAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This method performs book keeping related to asynchronous logging and executes syncDoAppend() to do the actual logging.
void | doAppend (const log4cplus::spi::InternalLoggingEvent &event)
| This function checks async flag.
virtual log4cplus::tstring | getName ()
| Get the name of this appender.
virtual void | setName (const log4cplus::tstring &name)
| Set the name of this appender.
virtual void | setErrorHandler (std::unique_ptr< ErrorHandler > eh)
| Set the `ErrorHandler` for this Appender.
virtual ErrorHandler * | getErrorHandler ()
| Return the currently set `ErrorHandler` for this Appender.
virtual void | setLayout (std::unique_ptr< Layout > layout)
| Set the layout for this appender.
virtual Layout * | getLayout ()
| Returns the layout of this appender.
void | setFilter (log4cplus::spi::FilterPtr f)
| Set the filter chain on this Appender.
log4cplus::spi::FilterPtr | getFilter () const
| Get the filter chain on this Appender.
void | addFilter (log4cplus::spi::FilterPtr f)
| Add filter at the end of the filters chain.
void | addFilter (std::function< spi::FilterResult(const log4cplus::spi::InternalLoggingEvent &)>)
| Add filter at the end of the filters chain.
LogLevel | getThreshold () const
| Returns this appenders threshold LogLevel.
void | setThreshold (LogLevel th)
| Set the threshold LogLevel.
bool | isAsSevereAsThreshold (LogLevel ll) const
| Check whether the message LogLevel is below the appender's threshold.
void | waitToFinishAsyncLogging ()
| This method waits for all events that are being asynchronously logged to finish.
Public Member Functions inherited from log4cplus::helpers::SharedObject
void | addReference () const LOG4CPLUS_NOEXCEPT
void | removeReference () const

## Static Public Member Functions

static void | registerAppender ()

## Protected Member Functions

virtual void | append (spi::InternalLoggingEvent const &)
| Subclasses of `Appender` should implement this method to perform actual logging.
void | init (tstring const &logname, unsigned long logsize, unsigned long buffersize)
Protected Member Functions inherited from log4cplus::Appender
tstring & | formatEvent (const log4cplus::spi::InternalLoggingEvent &event) const
Protected Member Functions inherited from log4cplus::helpers::SharedObject
| SharedObject ()
| SharedObject (const SharedObject &)
| SharedObject (SharedObject &&)
virtual | ~SharedObject ()
SharedObject & | operator= (const SharedObject &) LOG4CPLUS_NOEXCEPT
SharedObject & | operator= (SharedObject &&) LOG4CPLUS_NOEXCEPT

## Protected Attributes

Data * | data
Protected Attributes inherited from log4cplus::Appender
std::unique_ptr< Layout > | layout
| The layout variable does not need to be set if the appender implementation has its own layout.
log4cplus::tstring | name
| Appenders are named.
LogLevel | threshold
| There is no LogLevel threshold filtering by default.
log4cplus::spi::FilterPtr | filter
| The first filter in the filter chain.
std::unique_ptr< ErrorHandler > | errorHandler
| It is assumed and enforced that errorHandler is never null.
std::unique_ptr< helpers::LockFile > | lockFile
| Optional system wide synchronization lock.
bool | useLockFile
bool | async
| Asynchronous append.
std::atomic< std::size_t > | in_flight
std::mutex | in_flight_mutex
std::condition_variable | in_flight_condition
bool | closed
| Is this appender closed?

## Additional Inherited Members

Public Attributes inherited from log4cplus::helpers::SharedObject
thread::Mutex | access_mutex

## Detailed Description

Definition at line 63 of file clfsappender.h.

## Constructor & Destructor Documentation

## CLFSAppender() [1/2]

log4cplus::CLFSAppender::CLFSAppender | ( | tstring const & | logname,
|  | unsigned long | logsize,
|  | unsigned long | buffersize )

## CLFSAppender() [2/2]

log4cplus::CLFSAppender::CLFSAppender | ( | helpers::Properties const & |  | ) |

explicit

## ~CLFSAppender()

virtual log4cplus::CLFSAppender::~CLFSAppender | ( |  | ) |

virtual

## Member Function Documentation

## append()

virtual void log4cplus::CLFSAppender::append | ( | spi::InternalLoggingEvent const & | event | ) |

protected virtual

Subclasses of `Appender` should implement this method to perform actual logging.

See also
  doAppend method.

Implements log4cplus::Appender.

## close()

virtual void log4cplus::CLFSAppender::close | ( |  | ) |

virtual

Release any resources allocated within the appender such as file handles, network connections, etc.

It is a programming error to append to a closed appender.

Implements log4cplus::Appender.

## init()

void log4cplus::CLFSAppender::init | ( | tstring const & | logname,
|  | unsigned long | logsize,
|  | unsigned long | buffersize )

protected

## registerAppender()

void log4cplus::CLFSAppender::registerAppender | ( |  | ) |

static

## Member Data Documentation

## data

Data* log4cplus::CLFSAppender::data

protected

Definition at line 84 of file clfsappender.h.

The documentation for this class was generated from the following file:

- clfsappender.h